﻿#region License
/*
Copyright 2014 Christian Thurmann-Nielsen

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using GraphController.Utility;
using GraphController.GUI;
using GraphController;

namespace NTNU.DependencySimulator.GUI
{
    public partial class RefactoringSelection : Form
    {
        private MainController _model;

        public RefactoringSelection()
        {
            InitializeComponent();
        }
        public RefactoringSelection(MainController model)
        {
            InitializeComponent();
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
            _model = model;
        }
        private void button1_Click(object sender, EventArgs e)
        {
            if (radBtnCycle.Checked == true)
            {
                if (_model.GetCycleData().Count > 0)
                {
                    Tracer.WriteTrace("Cycle checked");
                    SelectCycleRefactoringView c = new SelectCycleRefactoringView(_model);
                    c.Show();
                    this.Dispose();
                }
                else
                    MessageBox.Show("There are no cycles to refactor.");
            }
                
            if (radBtnSystem.Checked == true)
            {
                Tracer.WriteTrace("System checked");
                SelectSystemRefactoringView s = new SelectSystemRefactoringView(_model);
                s.Show();
                Dispose();
            }

            if (radBtnSingleComponent.Checked == true)
            {
                var list = _model.CalculateSingleComponentCandidateData();
                SingleComponentRefactoringView v = new SingleComponentRefactoringView(list, _model);
                v.Show();
                this.Dispose();
            }
        }
    }
}
