﻿#region License
/*
Copyright 2014 Christian Thurmann-Nielsen

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
#endregion

using System;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using GraphController.GUI;
using GraphController;

namespace NTNU.DependencySimulator.GUI
{
    public partial class RefactoringView : Form
    {
        protected MainController _model;
        protected SimulationResult _result;

        public RefactoringView()
        {
            InitializeComponent();
        }
        public RefactoringView(MainController m)
        {
            InitializeComponent();
            //dataGridView1.RowTemplate = new DataGridViewRow();
            _model = m;
        }

        protected virtual void PopulateCandidateList(){ }
                
        public void ShowView()
        {
            this.Show();
        }
        public void ShowSimulationResult()
        {
            if(_result != null)
            {
                SimulationResultViewer v = new SimulationResultViewer(_result,_model);
                v.Show();
                this.Dispose();
            }
            
        }
        public void DisposeView()
        {
            this.Dispose();
        }
    }
}
