﻿#region License
/*
Copyright 2014 Christian Thurmann-Nielsen

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using GraphController.GUI;
using GraphController;
using GraphController.Common;

namespace NTNU.DependencySimulator.GUI
{

    public partial class SelectCycleRefactoringView : SelectionView
    {
        public SelectCycleRefactoringView()
        {
            InitializeComponent();
        }
        public SelectCycleRefactoringView(MainController model)
            : base(model)
        {
            InitializeComponent();
            cmbBoxSCC.DataSource = _controller.GetCycleData();
        }
        public SelectCycleRefactoringView(List<HashSet<string>> s)
        {
            
        }
        private void PopulateSCCList()
        {
            cmbBoxSCC.DataSource = _controller.GetCycleData();
        }
        public void ShowCandidateView()
        {
            throw new NotImplementedException();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (cmbBoxSCC.SelectedItem != null)
            {
                    CycleData s = (CycleData)cmbBoxSCC.SelectedItem;
                    CycleRefactoringView v = new CycleRefactoringView(_controller.CalculateCycleCandidateData(s, chkBoxMADep.Checked), _controller);
                    v.Show();
                    Dispose();
            }
            else
                MessageBox.Show("You have to choose a cycle to refactor.");
            
        }
    }
}
