﻿#region License
/*
Copyright 2014 Christian Thurmann-Nielsen

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using GraphController;

namespace NTNU.DependencySimulator.GUI
{
    public partial class SelectSystemRefactoringView : SelectionView
    {
        private List<double> _reductions;
        private List<object> _objectList = new List<object>();

        public SelectSystemRefactoringView()
        {
            _reductions = new List<double>(){0.0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1};
            InitializeComponent();
            InitDropDownList();
        }
        public SelectSystemRefactoringView(MainController model)
            : base(model)
        {
            _reductions = new List<double>() {0.0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1 };
            InitializeComponent();
            InitDropDownList();
        }
        private void InitDropDownList()
        {
            _objectList = new List<object>();
            for(int i = 0; i < _reductions.Count; i++)
            {
                try
                {
                    _objectList.Add("" + _reductions[i] * 100 + " %");
                } 
                catch (IndexOutOfRangeException)
                {
                }
            }
            this.cmbBoxReduction.Items.AddRange(_objectList.ToArray());
            cmbBoxReduction.SelectedIndex = 0;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (cmbBoxReduction.SelectedItem != null)
            {
                double rate = (double)_reductions[cmbBoxReduction.SelectedIndex];
                SystemRefactoringView s = new SystemRefactoringView(_controller.CalculateSystemCandidateData(rate),_controller);
                s.Show();
                Dispose();
            }
            else
                MessageBox.Show("You have to set a reduction rate for the system.");
            
            
        }
    }
}
