﻿#region License
/*
Copyright 2014 Christian Thurmann-Nielsen

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using java.util;

namespace GraphController.Utility
{
    class MapUtility
    {
        public static void PrintMap(Map map, string name)
        {
            Tracer.WriteTrace("Printing map: {0}", name);
            object[] keys = (object[])map.keySet().toArray();
            object[] ar = map.values().toArray();
            for (int i = 0; i < ar.Length; i++)
            {
                HashSet s = (HashSet)ar[i];
                Iterator it = s.iterator();

                Tracer.WriteTrace("     Set({0}): ", keys[i]);
                foreach (object o in s)
                {
                    Tracer.WriteTrace("         {0}", o);
                }

            }
        }
        public static void MapEqual(Map m, Map m2)
        {


            object[] keys = (object[])m.keySet().toArray();
            object[] ar = m.values().toArray();


            for (int i = 0; i < keys.Length; i++)
            {
                try
                {
                    string key = (string)keys[i];
                    HashSet s = (HashSet)m.get(key);
                    object[] s2 = ((HashSet)m2.get(key)).toArray();

                    foreach (object o in s)
                    {
                        try
                        {
                            string r = (string)o;
                            if (s2.Contains(o))
                                Tracer.WriteTrace("Set: {0}: {1} contains: {2}", key, r, s2.Contains(0));
                        }
                        catch (NullReferenceException)
                        {

                        }
                    }
                }
                catch (NullReferenceException)
                {

                }
            }
        }
        public static string WriteMapToString(Map m)
        {
            StringBuilder sb = new StringBuilder();
            object[] keys = (object[])m.keySet().toArray();
            object[] ar = m.values().toArray();
            for (int i = 0; i < ar.Length; i++)
            {
                HashSet s = (HashSet)ar[i];
                Iterator it = s.iterator();

                sb.Append(keys[i]);

                foreach (object o in s)
                {
                    sb.Append("\t" + o);
                }
                sb.Append(System.Environment.NewLine);
            }
            return sb.ToString();
        }
    }
}
